KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSPageRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSPageRule interface represents a <a href="http://www.w3.org/TR/REC-CSS2/page.html#page-box"> page rule within a CSS style sheet. The @page rule is used to specify the dimensions, orientation, margins, etc. of a page box for paged media.

## Methods
| __init__ (self)
| __init__ (self, DOM.CSSPageRule other)
| __init__ (self, DOM.CSSRule other)
DOM.DOMString | selectorText (self)
| setSelectorText (self, DOM.DOMString a0)
DOM.CSSStyleDeclaration | style (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSPageRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.DOMString selectorText | ( |  | self ) |

The parsable textual representation of the page selector for the rule.

setSelectorText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see selectorText CSSException SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

DOM.CSSStyleDeclaration style | ( |  | self ) |

The declaration-block of this rule.